# 2.4.1.4 Modification

ZixStatus zix_btree_insert(ZixBTree *t, void *e)

  Insert the element `e` into `t`.

  Returns:

    `ZixStatus.ZIX_STATUS_SUCCESS` on success, `ZixStatus.ZIX_STATUS_EXISTS`, or `ZixStatus.ZIX_STATUS_NO_MEM`.

ZixStatus zix_btree_remove(ZixBTree *t, const void *e, void **out, ZixBTreeIter *next)

  Remove the element `e` from `t`.

  Parameters:

    - t – Tree to remove from.

    - e – Value to remove.

    - out – Set to point to the removed pointer (which may not equal `e`).

    - next – On successful return, set to point at element immediately following `e`.

  Returns:

    `ZixStatus.ZIX_STATUS_SUCCESS` on success, or `ZixStatus.ZIX_STATUS_NOT_FOUND`.